package sun.security.util;

import java.security.AccessController;
import java.security.Security;

public class SecurityProperties
{
    public static final boolean INCLUDE_JAR_NAME_IN_EXCEPTIONS;
    
    public SecurityProperties() {
    }
    
    public static String privilegedGetOverridable(String s) {
        return (String)AccessController.doPrivileged(()/*  */ -> {
            String s2 = System.getProperty(p0);
            if (s2 == null) {
                return Security.getProperty(p0);
            }
            return s2;
        });
    }
    
    public static boolean includedInExceptions(String anotherString) {
        String privilegedGetOverridable = privilegedGetOverridable("jdk.includeInExceptions");
        if (privilegedGetOverridable == null) {
            return false;
        }
        String[] split = privilegedGetOverridable.split(",");
        int length = split.length;
        int i = 0;
        while (i < length) {
            if (split[i].trim().equalsIgnoreCase(anotherString)) {
                return true;
            }
            ++i;
        }
        return false;
    }
    
    static {
        INCLUDE_JAR_NAME_IN_EXCEPTIONS = includedInExceptions("jar");
    }
}
